[3.3] Neuinstallation eines uralten Forums (seit Ewigkeiten im Wartungsmodus)

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Antworten
Yorikke
Mitglied
Beiträge: 15
Registriert: 25.06.2008 16:11

[3.3] Neuinstallation eines uralten Forums (seit Ewigkeiten im Wartungsmodus)

Beitrag von Yorikke »

Hallo zusammen,

vor Ewigkeiten habe ich unser Forum auf Wartung umgestellt, nachdem mein Co. abgesprungen war und ich aus familären Gründen keine Zeit hatte, rechtlich nötige Updates (Cookie-Warnung) einzuarbeiten.
Jetzt kann ich mich aufgrund einer Fehlermeldung nicht mehr einloggen und habe somit auch keinen Zugriff mehr auf den Admin-Bereich.
(Ich vermute, dass der Besucherzähler nach so langer Ausschaltzeit auf keine gültigen Zahlen zurückgreifen kann und die Fehlermeldung daher rührt)

Hier ein Link zum Forum:
http://www.handspinn-forum.de/forum/index.php

Ich würde nun gerne schauen, ob ich das Forum mit aktueller Foren-Software neu installiert kriege (Allzu viel Ahnung habe ich nicht von der Materie. Habe es aber schon mal vor Jahren anhand von Anleitungen auf dieser Seite und mit Hilfe dieses Support-Forums geschafft, das Forum neu zu installieren).

Wie kriege ich jetzt heraus, welche Forensoftware aktuell installiert ist, wenn ich mich nicht in den Admin-Bereich einloggen kann?
Ich brauche diese Info, um das richtige Update-Paket zu finden.

Außerdem müsste im Zuge der Aktualisierung der Foren-Software auch die verwendete PHP-Version der Seite auf eine aktuelle PHP-Version umgestellt werden.
Da frage ich mich, wann der ideale Zeitpunkt für die Umstellung ist?

Hat jemand eine Ahnung, ob die aktuelle Fehlermeldung, bei einer Neuinstallation zu Problemen führen könnte?

lg Yorikke

P.S.
Ich habe im Beitragsthema den Präfix 3.3 gewählt, weil ich das aufgrund der Forenregeln dies angeben soll. Allerdings habe ich gar keine Ahnung, ob das Forum mit 3.0 oder 3.1 oder 3.2 läuft :(

P.P.S.

Die Fehlermeldung von der Startseite:
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 561: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 617: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 1065: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 1065: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 1065: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
Die Fehlermeldung beim Versuch des Einloggens:
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 556: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 561: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 589: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 1065: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 1065: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 1065: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 2416: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3903)
Zuletzt geändert von Yorikke am 20.07.2020 14:44, insgesamt 1-mal geändert.

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10846
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.1] Neuinstallation eines uralten Forums (seit Ewigkeiten im Wartungsmodus)

Beitrag von Crizzo »

Hi,

du hast vmtl. phpBB 3.1.8 installiert. Das läuft nicht mit neueren PHP Versionen und dein Problem: https://www.php.net/manual/en/function.count.php

Ergo: Update auf 3.3.x anstreben.

Grüße

Benutzeravatar
Scanialady
Mitglied
Beiträge: 684
Registriert: 23.02.2009 16:29
Wohnort: Velbert (NRW)
Kontaktdaten:

Re: [3.1] Neuinstallation eines uralten Forums (seit Ewigkeiten im Wartungsmodus)

Beitrag von Scanialady »

Wenn das noch der Subsilver-Style ist, befindet sich das Forum einiger Wahrscheinlichkeit nach im Bereich phpBB 3.0.x, denn der wurde inzwischen aus den Paketen entfernt.

Um herauszufinden, was du da hast, könntest du über dein Adminpanel beim Hoster (PHPMyAdmin) eine Kopie der Datenbank exportieren. Die wird ohnehin als Backup im weiteren Verfahren benötigt. Wenn du diese öffnest, und nach dem Eintrag phpbb_config suchst (vorausgesetzt, das Suffix wurde nicht verändert), hast du da die Einträge der Konfigurationstabelle. Und dort findest du auch "version".

Möglicherweise sind die aktuellen Fehlermeldungen daher, dass dein Hoster die PHP-Version wortlos erhöht hat. Vielleicht lief es noch unter 5.3 oder so - und er hat halt hochgesetzt, weil er die entsprechende Version von PHP entfernt hat. Falls du in deinem Adminpanel die PHP-Version einstellen kannst, setz sie auf 5.6 zurück, soweit vorhanden. Damit sollte das Forum erstmal laufen, und damit kannst du auch den Wechsel zumindest auf die nächsthöhere Version machen. Versionen ab 7.x funktionieren NICHT mit dem alten Forum. Am Besten läuft nach dem Update 7.2.

Definitiv musst du vor dem Update auf höhere Version 3.1/3.2/3.3 die alten MOD-Einbauten entfernen, und auch die Styles außer prosilver. Eigene Gruppen sollten zurückgesetzt werden, Sprachpakete deinstalliert werden (außer Englisch), usw.

Lies dich gut ein über die aufgetretenen Probleme (ja, da musst du wohl etliche Seiten zurückblättern im Forum, ist ja schon ne Weile her), und such dir erst zusammen, wovon es überhaupt noch Updates gibt. Benutze grundsätzlich das phpBB Vollinstallationspaket mit komplettem Dateiaustausch, und keinesfalls das Autoupdate, der Name ist nämlich irreführend.

Allgemeine Anleitungen zum Update/Upgrade oder Serverumzug finden sich in der Knowledgebase.

phpBB 3.2 - Upgrade von phpBB 3.0
Modulreste entfernen
Systemanforderungen phpBB 3.3.0
Mit dem Board umziehen - Server wechseln

und so weiter.

edit://
Crizzo war schneller und hat schon deine Version ermittelt: 3.1.8
https://ladyscommunity.de | Deutsche Übersetzungen für Extensionen (ggf. auf Anfrage)
-
Die Bosheit trinkt die Hälfte ihres eigenen Giftes (Lucius Annaeus Seneca)

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10846
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.1] Neuinstallation eines uralten Forums (seit Ewigkeiten im Wartungsmodus)

Beitrag von Crizzo »

Scanialady hat geschrieben:
20.07.2020 14:54
Crizzo war schneller und hat schon deine Version ermittelt: 3.1.8
Keine Kunst, wenn dein Beitrag 10mal so lang ist. :D :oops:

Antworten

Zurück zu „Support-Forum“